Bug 457203 - Discover's update progress notification shows "Updating 0 of 2 Items"
Summary: Discover's update progress notification shows "Updating 0 of 2 Items"
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-27 14:53 UTC by Nicolas Fella
Modified: 2022-07-28 19:38 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Fella 2022-07-27 14:53:17 UTC
STEPS TO REPRODUCE
1. Open Discover
2. There was an app update (Flatpak)
3. Click Update
4. Close Window

OBSERVED RESULT
A job notification saying "Updating 0 of 2 items". The number stayed the same for the entire update and the job ended with "Finished: Updating 0 of 2 items"


EXPECTED RESULT
The number starts counting with 1 and actually counts up


SOFTWARE/OS VERSIONS
KDE Plasma Version: master
KDE Frameworks Version: master
Qt Version: 5.15.5-kde
Comment 1 Nate Graham 2022-07-27 20:08:17 UTC
Can reproduce that.
Comment 2 Aleix Pol 2022-07-28 10:52:59 UTC
Git commit c00009208890df701bfa820b49270ccd062521dd by Aleix Pol Gonzalez, on behalf of Aleix Pol.
Committed on 28/07/2022 at 10:34.
Pushed by apol into branch 'master'.

libnotificationmanager: Fix displaying item-based jobs

The logic was all there but we were not emitting when the text would
change, which would then never reflect on the UI.

M  +2    -0    libnotificationmanager/job.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/c00009208890df701bfa820b49270ccd062521dd